---
title: Docker subscriptions and features
description: Understand 
keywords: subscription, personal, pro, team, business, features
---

This page provides an overview of each tier. To compare features available in each tier, see [Docker Pricing](https://www.docker.com/pricing/){: target="_blank" rel="noopener" class="_" id="dkr_docs_subscription_btl"}.

## Docker Personal

Docker Personal is the new name for the Docker Free subscription. With its focus on the open-source communities, individual developers, education, and small businesses, Docker Personal will continue to allow free use of Docker components including the Docker CLI, Docker Compose, Docker Engine, Docker Desktop, Docker Hub, Kubernetes, Docker Build and Docker BuildKit, Docker Official Images, and more.

Docker Personal includes:

- Unlimited public repositories
- Unlimited [Scoped Access Tokens](../docker-hub/access-tokens.md)
- Unlimited [collaborators](../docker-hub/repos/access/index.md#collaborators-and-their-role) for public repositories at no cost per month.

Additionaly, anonymous users get 100 pulls every 6 hours and users that sign in to Docker get 200 pulls every 6 hours. 

For a list of features available in each tier, see [Docker Pricing](https://www.docker.com/pricing/){: target="_blank" rel="noopener" class="_" id="dkr_docs_subscription_btl"}.

## Docker Pro

**Docker Pro** enables individual developers to get more control of their development environment and provides an integrated and reliable developer experience. It reduces the amount of time developers spend on mundane and repetitive tasks and empowers developers to spend more time creating value for their customers.

Docker Pro includes:
- All the features available in Personal
- Unlimited private repositories
- 5000 image [pulls per day](../docker-hub/download-rate-limit.md)
- [Auto Builds](../docker-hub/builds/index.md) with 5 concurrent builds
- 300 [Vulnerability Scans](../docker-hub/vulnerability-scanning.md)
- Unlimited [Scoped Access Tokens](../docker-hub/access-tokens.md), and more.

For a list of features available in each tier, see [Docker Pricing](https://www.docker.com/pricing/){: target="_blank" rel="noopener" class="_" id="dkr_docs_subscription_btl"}.

## Docker Team

**Docker Team** offers capabilities for collaboration, productivity, and security across organizations. It enables groups of developers to unlock the full power of collaboration and sharing combined with essential security features and team management capabilities.

Docker Team includes:
- Everything included in Docker Pro
- Unlimited teams
- [Auto Builds](../docker-hub/builds/index.md) with 15 concurrent builds
- Unlimited [Vulnerability Scanning](../docker-hub/vulnerability-scanning.md)
- 5000 image [pulls per day](../docker-hub/download-rate-limit.md) for each team member

There are also advanced collaboration and management tools, including organization and team management with Role Based Access Control (RBAC) for the whole team, [audit logs](../docker-hub/audit-log.md), and more.

For a list of features available in each tier, see [Docker Pricing](https://www.docker.com/pricing/){: target="_blank" rel="noopener" class="_" id="dkr_docs_subscription_btl"}.

## Docker Business

**Docker Business** offers centralized management and advanced security features for enterprises that use Docker at scale. It empowers leaders to manage their Docker development environments and speed up their secure software supply chain initiatives.

Docker Business includes:
- Everything included in Docker Team
- [Hardened Docker Desktop](../desktop/hardened-desktop/index.md) 
- [Image Access Management](../docker-hub/image-access-management.md) which allows admins control what content developers can access
- [Registry Access Management](../desktop/hardened-desktop/registry-access-management.md) which lets admins control what registries developers can access
- [Single Sign-On](../single-sign-on/index.md)
- [System for Cross-domain Identity Management](../docker-hub/scim.md) and more.

For a list of features available in each tier, see [Docker Pricing](https://www.docker.com/pricing/){: target="_blank" rel="noopener" class="_" id="dkr_docs_subscription_btl"}.

### Self-serve

A self-serve Docker Business subscription is where everything is set up by you. You can:

- Manage your own invoices
- Add or remove seats
- Update billing and payment information
- Downgrade your subscription at any time

### Sales-assisted

A sales-assisted Docker Business subscription where everything is set up and managed by a dedicated Docker account manager.
