---
description: Downgrade your Docker subscription
keywords: Docker Hub, downgrade, subscription, Pro, Team, Free, pricing plan,
title: Downgrade your subscription
redirect_from:
- /docker-hub/cancel-downgrade/
- /docker-hub/billing/downgrade/
---

You can downgrade your Docker subscription at anytime before the renewal date. The unused portion of the subscription isn't refundable or creditable.

When you downgrade your subscription, changes are applied immediately and you no longer have access to prior services.

Before you downgrade to a free subscription, you may need to reduce the number of team members and convert any private repositories to public repositories or delete them. For information, see [Docker Pricing](https://www.docker.com/pricing){: target="_blank" rel="noopener" class="_"}.

## Downgrade your Docker subscription

>**Important**
>
>If you have a [sales-assisted Docker Business subscription](details.md#sales-assisted), contact your account manager to downgrade your subscription. 
{: .important}

1. Log in to your [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"} account.

2. Select your username in the top-right corner and from the dropdown menu select **Billing**.

3. Choose either your personal account or an organization to downgrade. 

4. On the **Plan** tab, select **Change plan**.

5. On the **Change Plan** page, select the plan you'd like to downgrade to. 

6. Review the downgrade warning and select **Continue**.

7. Optional: Select a reason for your downgrade from the list and select **Send**.
    The **Billing** page displays a confirmation of the downgrade with details on when the downgrade changes take effect.

If you want to cancel the downgrade, select **Cancel the downgrade** on the **Plan** tab.
